Package org.drinkless.tdlib

# Class TdApi.CheckAuthenticationPasskey

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.CheckAuthenticationPasskey

Enclosing class:
  `TdApi`

public static class TdApi.CheckAuthenticationPasskey extends TdApi.Function<TdApi.Ok>
Checks a passkey to log in to the corresponding account. Call getAuthenticationPasskeyParameters to get parameters for the passkey. Works only when the current authorization state is authorizationStateWaitPhoneNumber or authorizationStateWaitOtherDeviceConfirmation, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `authenticatorData`
  Authenticator data of the application that created the credential.
  `String`
  `clientData`
  JSON-encoded client data.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `credentialId`
  Base64url-encoded identifier of the credential.
  `byte[]`
  `signature`
  Cryptographic signature of the credential.
  `byte[]`
  `userHandle`
  User handle of the passkey.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckAuthenticationPasskey()`
  Default constructor for a function, which checks a passkey to log in to the corresponding account.
  `CheckAuthenticationPasskey(String credentialId, String clientData, byte[] authenticatorData, byte[] signature, byte[] userHandle)`
  Creates a function, which checks a passkey to log in to the corresponding account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### credentialId

    public String credentialId
    Base64url-encoded identifier of the credential.

  - ### clientData

    public String clientData
    JSON-encoded client data.

  - ### authenticatorData

    public byte[] authenticatorData
    Authenticator data of the application that created the credential.

  - ### signature

    public byte[] signature
    Cryptographic signature of the credential.

  - ### userHandle

    public byte[] userHandle
    User handle of the passkey.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckAuthenticationPasskey

    public CheckAuthenticationPasskey()
    Default constructor for a function, which checks a passkey to log in to the corresponding account. Call getAuthenticationPasskeyParameters to get parameters for the passkey. Works only when the current authorization state is authorizationStateWaitPhoneNumber or authorizationStateWaitOtherDeviceConfirmation, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

    Returns `Ok`

  - ### CheckAuthenticationPasskey

    public CheckAuthenticationPasskey(String credentialId, String clientData, byte[] authenticatorData, byte[] signature, byte[] userHandle)
    Creates a function, which checks a passkey to log in to the corresponding account. Call getAuthenticationPasskeyParameters to get parameters for the passkey. Works only when the current authorization state is authorizationStateWaitPhoneNumber or authorizationStateWaitOtherDeviceConfirmation, or if there is no pending authentication query and the current authorization state is authorizationStateWaitPremiumPurchase, authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

    Returns `Ok`

    Parameters:
      `credentialId` - Base64url-encoded identifier of the credential.
      `clientData` - JSON-encoded client data.
      `authenticatorData` - Authenticator data of the application that created the credential.
      `signature` - Cryptographic signature of the credential.
      `userHandle` - User handle of the passkey.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR